Bug 477946 - Cursor switches back to normal when hovering over a link
Cursor switches back to normal when hovering over a link
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 00:04 EST by Pete Zaitcev
Modified: 2009-01-11 20:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-11 20:55:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with synaptics and mouse (83.11 KB, text/plain)
2008-12-28 14:20 EST, Pete Zaitcev
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19086 None None None Never

  None (edit)
Description Pete Zaitcev 2008-12-26 00:04:02 EST
Description of problem:

Footer flashes URL and "Done" when moving over a link. Cursor alternates
between "hand" and "arrow".

Version-Release number of selected component (if applicable):

firefox-3.1-0.4.beta2.fc11.x86_64

How reproducible:

100% on two systems

Steps to Reproduce:
1. Move cursor over a link
  
Actual results:

Annoying flashing, URL in footer impossible to read, cursor is wrong.

Expected results:

Footer displays link, cursor switches to "hand" over a link.

Additional info:

This happened after an update to Minefield in Rawhide.
Comment 1 Pete Zaitcev 2008-12-28 14:16:13 EST
Oh shoot, I noticed that the same thing happens in GIMP as well. GIMP shows
tooltips for menus and these tooltips flicker. Now I am pretty certain it's
caused by the conflict between mouse and synaptics. Not a bug in Firefox,
reassigning to X11 (not sure what component though).
Comment 2 Pete Zaitcev 2008-12-28 14:19:17 EST
Adding Peter, the owner of Synaptics, to cc:. Maybe he has ideas.
Comment 3 Pete Zaitcev 2008-12-28 14:20:22 EST
Created attachment 327900 [details]
Xorg.0.log with synaptics and mouse
Comment 4 Pete Zaitcev 2008-12-28 14:22:57 EST
Run of $(rpm -a 'xorg*'| sort):

xorg-x11-apps-7.3-5.fc10.x86_64
xorg-x11-docs-1.3-3.fc10.noarch
xorg-x11-drv-acecad-1.2.2-1.fc9.x86_64
xorg-x11-drv-apm-1.2.1-1.fc11.x86_64
xorg-x11-drv-ark-0.7.0-1.fc9.x86_64
xorg-x11-drv-ati-6.9.0-65.fc11.x86_64
xorg-x11-drv-avivo-0.0.1-7.fc9.x86_64
xorg-x11-drv-citron-2.2.1-1.fc9.x86_64
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.x86_64
xorg-x11-drv-dmc-1.1.2-1.fc9.x86_64
xorg-x11-drv-dummy-0.3.0-1.fc9.x86_64
xorg-x11-drv-dynapro-1.1.2-1.fc9.x86_64
xorg-x11-drv-evdev-2.1.0-3.fc11.x86_64
xorg-x11-drv-fbdev-0.4.0-3.fc11.x86_64
xorg-x11-drv-fpit-1.2.0-1.fc9.x86_64
xorg-x11-drv-glint-1.2.2-1.fc11.x86_64
xorg-x11-drv-hyperpen-1.2.0-1.fc9.x86_64
xorg-x11-drv-i740-1.2.0-2.fc11.x86_64
xorg-x11-drv-i810-2.5.99.1-0.2.fc11.x86_64
xorg-x11-drv-keyboard-1.3.1-1.20081222git.fc11.x86_64
xorg-x11-drv-magellan-1.2.0-1.fc9.x86_64
xorg-x11-drv-microtouch-1.2.0-1.fc9.x86_64
xorg-x11-drv-mouse-1.3.0-2.fc9.x86_64
xorg-x11-drv-mutouch-1.2.1-1.fc10.x86_64
xorg-x11-drv-openchrome-0.2.903-2.fc11.x86_64
xorg-x11-drv-palmax-1.2.0-1.fc9.x86_64
xorg-x11-drv-penmount-1.3.0-1.fc9.x86_64
xorg-x11-drv-rendition-4.2.0-1.fc9.x86_64
xorg-x11-drv-sisusb-0.9.0-1.fc9.x86_64
xorg-x11-drv-spaceorb-1.1.0-6.fc9.x86_64
xorg-x11-drv-synaptics-0.99.3-2.fc11.x86_64
xorg-x11-drv-v4l-0.2.0-1.fc9.x86_64
xorg-x11-drv-vesa-2.1.0-1.fc11.x86_64
xorg-x11-drv-vga-4.1.0-5.fc8.x86_64
xorg-x11-drv-vmmouse-12.6.3-1.fc11.x86_64
xorg-x11-drv-vmware-10.16.0-2.fc11.x86_64
xorg-x11-drv-void-1.1.1-9.fc9.x86_64
xorg-x11-drv-wiimote-0.0.1-1.fc9.x86_64
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-cyrillic-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-truetype-7.2-3.fc8.noarch
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-font-utils-7.2-6.fc10.x86_64
xorg-x11-proto-devel-7.4-12.fc11.noarch
xorg-x11-server-common-1.5.99.3-4.fc11.x86_64
xorg-x11-server-devel-1.5.99.3-4.fc11.x86_64
xorg-x11-server-utils-7.4-3.fc10.x86_64
xorg-x11-server-Xorg-1.5.99.3-4.fc11.x86_64
xorg-x11-twm-1.0.3-3.fc10.x86_64
xorg-x11-util-macros-1.2.1-1.fc11.noarch
xorg-x11-utils-7.4-3.fc10.x86_64
xorg-x11-xauth-1.0.2-5.fc10.x86_64
xorg-x11-xfs-1.0.5-3.fc10.x86_64
xorg-x11-xinit-1.0.9-4.fc10.x86_64
xorg-x11-xkb-utils-7.2-7.fc10.x86_64
xorg-x11-xtrans-devel-1.2.2-1.fc11.noarch

Sadly, I don't remember when this started to occur. It became noticeable
with the new Firefox a few days ago, but the actual problem probably
existed for far longer. I noticed that my scrolling strips stopped working
quite a while ago, maybe in mid-November.
Comment 5 Peter Hutterer 2008-12-30 18:33:12 EST
http://bugs.freedesktop.org/show_bug.cgi?id=19086

This is triggered by a wrong LeaveNotify event being sent when the mouse moves from the menu bar to the main window in firefox. Other apps would have similar issues if they get the same incorrect event.

Unfortunately, it turned out that the enter/leave model is a bit broken and it needs reimplementation. This is on the way, but not quite there yet. I'll leave this one open until it's fixed upstream.
Comment 6 Peter Hutterer 2008-12-30 18:35:11 EST
Reassigning to me, changing title to hopefully reduce duplicates.
Comment 7 Peter Hutterer 2009-01-07 23:51:19 EST
Fix merged upstream in master, should be back-ported to 1.6 
soon. See the patches leading up to 

http://cgit.freedesktop.org/xorg/xserver/commit/?id=eb2d7b3d700952ba88c77deacf687b251300e660
Comment 8 Peter Hutterer 2009-01-11 20:55:32 EST
Fixed in 1.5.99.3-9

Note You need to log in before you can comment on or make changes to this bug.